# std::filesystem::file_status::file_status

From cppreference.com
< cpp‎ | filesystem‎ | file status

file_status() : file_status(std::filesystem::file_type::none) { } | (1) | (since C++17)
file_status( const file_status& ) = default; | (2) | (since C++17)
file_status( file_status&& ) = default; | (3) | (since C++17)
explicit file_status( std::filesystem::file_type type, std::filesystem::perms permissions = std::filesystem::perms::unknown); | (4) | (since C++17)

Constructs a new `file_status` object.

1) Default constructor that calls (4) with std::filesystem::file_type::none.
2-3) Copy and move constructors are defaulted.
4) Initializes the file status object with `type` as type and `permissions` as permissions.

### Parameters

| This section is incomplete

### Exceptions

`noexcept` specification:
noexcept

### Example

| This section is incomplete Reason: no example

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/filesystem/file_status/file_status&oldid=91374"
Categories:

- Todo without reason
- unconditionally noexcept
- Todo no example

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template